Bug 198123 - [exp-run] improve textproc/intltool with USES=autoreconf
Summary: [exp-run] improve textproc/intltool with USES=autoreconf
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-01 12:03 UTC by Tijl Coosemans
Modified: 2015-04-03 15:58 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
kwm: exp-run?


Attachments
patch (6.08 KB, patch)
2015-03-01 12:03 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (14.42 KB, patch)
2015-04-03 14:21 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2015-03-01 12:03:13 UTC
Created attachment 153638 [details]
patch

Add two patches to textproc/intltool so it works better with USES=autoreconf.  Both patches can be sent upstream.

- Patch intltool.m4 so translations are always installed in PREFIX/share/locale instead of PREFIX/lib/locale (USE_GNOME=intlhack also does this for ports without USES=autoreconf)
- Patch intltoolize.in so it creates the directory where it will copy intltool.m4 into
- Also remove old CONFIGURE_ARGS, CONFLICTS, post-patch and post-install from Makefile
Comment 1 Antoine Brodin freebsd_committer 2015-03-04 18:56:15 UTC
Does this need an exp-run?
Comment 2 Tijl Coosemans freebsd_committer 2015-03-04 19:40:20 UTC
The patch removes files/OrigTree.pm which was added 8 years ago for backwards compatibility because some ports still needed it.  An exp-run is needed to find out if that's still the case.  The other changes may not need an exp-run but it would be nice to test them more thoroughly than what I've done so far.

I didn't assign it to portmgr yet because I wanted to see if gnome@ had any objections or other comments first.
Comment 3 Koop Mast freebsd_committer 2015-04-01 15:10:50 UTC
No objections or comments from me, over to portmgr for exp-run.
Comment 4 Tijl Coosemans freebsd_committer 2015-04-01 16:11:37 UTC
I'm going to submit patches for libtool and libiconv that can perhaps be included in the exp-run.
Comment 5 Antoine Brodin freebsd_committer 2015-04-01 17:01:56 UTC
Take for exp-run
Comment 6 Antoine Brodin freebsd_committer 2015-04-03 13:47:35 UTC
Exp-run results for bug #198123 and bug #199094 :

http://pb2.nyi.freebsd.org/build.html?mastername=101amd64-default-libtoolintltool&build=2015-04-03_10h48m42s

There was 1 new failure,  likely due to intltool:

+ {"origin"=>"deskutils/nemo-extensions", "phase"=>"package", "errortype"=>"???"}

Failure log:

http://pb2.nyi.freebsd.org/data/101amd64-default-libtoolintltool/2015-04-03_10h48m42s/logs/errors/nemo-extensions-2.4.0.log
Comment 7 Tijl Coosemans freebsd_committer 2015-04-03 14:21:25 UTC
Created attachment 155160 [details]
patch2

Fix pkg-plist of deskutils/nemo-extensions
Comment 9 commit-hook freebsd_committer 2015-04-03 15:56:16 UTC
A commit references this bug:

Author: tijl
Date: Fri Apr  3 15:55:57 UTC 2015
New revision: 383140
URL: https://svnweb.freebsd.org/changeset/ports/383140

Log:
  Add two patches to textproc/intltool so it works better with USES=autoreconf
  - Patch intltool.m4 so translations are always installed in
    PREFIX/share/locale instead of PREFIX/lib/locale (USE_GNOME=intlhack
    also does this for ports without USES=autoreconf)
  - Patch intltoolize.in so it creates the directory where it will copy
    intltool.m4 into if it doesn't exist yet

  Also remove old CONFIGURE_ARGS, CONFLICTS, post-patch and post-install
  from Makefile and remove an old patch.

  PR:		198123
  Exp-run by:	antoine
  Approved by:	gnome (kwm), portmgr (antoine)

Changes:
  head/deskutils/nemo-extensions/Makefile
  head/deskutils/nemo-extensions/pkg-plist
  head/textproc/intltool/Makefile
  head/textproc/intltool/files/OrigTree.pm
  head/textproc/intltool/files/patch-intltool.m4
  head/textproc/intltool/files/patch-intltoolize.in
  head/textproc/intltool/pkg-plist